Flera talare under nordamerikanska Ipv6 Summit gav Apple stark kritik för att den senaste versionen av Apples Airport-verktyg, version 6.0, inte är kompatibel med ipv6. Den tidigare versionen, 5.6, erbjöd ipv6 som standard.

Comcast uppmanar sina abonnenter som vill använda IPv6 att inte uppgradera till AirPort Utility 6.0 om de använder osx Lion, på grund av inkompatibilitet med ipv6.

"Apple har tagit bort möjligheten för sömlöst stöd för ipv6 i Airport utility. Det är lite oroande. Vi hoppades att få se mer stöd för ipv6, inte mindre, mellan kunders utrustning och leverantörer", säger John Brzozowski, chefsarkitekt för ipv6 på Comcast.

Ipv6 är nödvändigt eftersom det börjar ta slut på ipv4-adresser, för att ansluta nya användare och nya enheter till Internet. Ipv6 löser detta problem med ett kraftigt expanderat adressutrymme, men är inte bakåtkompatibel med ipv4. Internetleverantörer måste därför uppgradera sin routingutrustning, säkerhet, nätdrift och kundplacerad utrustning för att stödja ipv6. Alternativet är att de översätter mellan ipv4 och ipv6 men det orsakar både fördröjningar och merkostnader.

IDG News